Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class max

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.min
              jason.stdlib.max

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class max

extends min

Internal action: `.max`.

Description: gets the maximum value within a list of terms, using the "natural" order for each type of term. Between different types of terms, the following order is used:
numbers < atoms < structures < lists

Parameters:

- + list (list): the list where to find the maximum term.
- +/- maximum (term).

Examples:

- `.max([c,a,b],X)`: `X` unifies with `c`.
- `.max([b,c,10,g,f(10),5,f(4)],X)`: `X` unifies with `f(10)`.
- `.max([3,2,5],2])`: false.
- `.max([3,2,5],5)`: true.
- `.max([],X)`: false.

See Also:
  `concat`, `delete`, `length`, `member`, `nth`, `sort`, `min`, `reverse`, `difference`, `intersection`, `union`, Serialized Form

Constructor Summary
`max()`

Method Summary
`protected boolean` | `compare(Term a, Term t)`
`static InternalAction` | `create()`

Methods inherited from class jason.stdlib.min
`checkArguments, execute, getMaxArgs, getMinArgs`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### max

    public max()

Method Detail

### create

    public static InternalAction create()

### compare

    protected boolean compare(Term a,
                              Term t)

  Overrides:
    `compare` in class `min`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD